Bug 14183 - Beta 3 rpm built with rpm 4.
Beta 3 rpm built with rpm 4.
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-07-17 15:10 EDT by Henri Schlereth
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-18 01:09:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henri Schlereth 2000-07-17 15:10:35 EDT
1. Given that you cannot do an upgrade with GUI/TUI 
2. Beta 3 rpm 4.0-0.45 is built with rpm 4 and cannot be installed with rpm 3.0.4-0.48 (RH6.2)
( chicken and egg problem)
3. I will revert to beta1/beta2 rpm to continue.
Comment 1 Henri Schlereth 2000-07-18 01:09:29 EDT
Additional infromation:

Beta1/Beta2 status of rpm is identical. Cant use rpm 3 to install rpm 4. rp2cpio(3) doesnt work on rpm 4.
Also there is no SRPM for rpm 4.

I am changing this to a higher severity in view of the fact that there are plenty of people that want/need to upgrade
select RPM's w/o a reboot.The manual rpm process has always existed for people that cant/dont want to do
a GUI/TUI upgrade/install. Various beta testers have suggested ways to edit the rpm file using vi or emacs, but that is
a bit much for a customer to have to do after they plunk down their money.

The machine I have to do a manual RPM upgrade on will sig11 with anything but RH6.1. From a customer standpoint I
can upgrade the kernel rpm's ok but not a single other package can be upgraded w/o rpm 4. From the perspective of
people that download just RPM's and not ISO images they are also screwed.
Comment 2 Jeff Johnson 2000-07-20 13:53:40 EDT
An upgrade path will be provided by releasing rpm-3.0.5 (which understands
version 4
packaging) as well as to release rpm-4.0 in version 3 packaging when the time

Note You need to log in before you can comment on or make changes to this bug.